Client A P I
List files
Returns files and folders in a server directory.
GET
/api/client/servers/{server_uuid}/files/listAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Query Parameters
directory?|
Directory to list. Defaults to the server root.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/files/list?directory=%2Fconfig"{ "object": "list", "data": [ { "object": "file_object", "attributes": { "name": "server.properties", "mode": "-rw-r--r--", "mode_bits": "0644", "size": 1024, "is_file": true, "is_symlink": false, "mimetype": "text/plain", "created_at": "2026-06-29T12:00:00+00:00", "modified_at": "2026-06-29T12:00:00+00:00" } } ]}